import request from '@/utils/request'

// 查询环境监测设备信息列表
export function listEquip(query) {
  return request({
    url: '/system/enviEquip/list',
    method: 'get',
    params: query
  })
}

// 查询环境监测设备信息详细
export function getEquip(id) {
  return request({
    url: '/system/enviEquip/' + id,
    method: 'get'
  })
}

// 新增环境监测设备信息
export function addEquip(data) {
  return request({
    url: '/system/enviEquip',
    method: 'post',
    data: data
  })
}

// 修改环境监测设备信息
export function updateEquip(data) {
  return request({
    url: '/system/enviEquip',
    method: 'put',
    data: data
  })
}

// 删除环境监测设备信息
export function delEquip(id) {
  return request({
    url: '/system/enviEquip/' + id,
    method: 'delete'
  })
}
